#include <pic.h>
#include "lcd.h"
#include "eeprom.h"
void wys_hex(unsigned char dana, char x, char y);
struct{
   char tms:1;
}bits;
#define tms bits.tms

unsigned int mSec,uSec;
//obsuga przerwnia od Timer - odliczanie opnie
static void interrupt
isr(void)         		// przerwanie od Timer0
{
   if(T0IF){             //zerowan ie flagi przerwania
      TMR0+=131;         //8MHz/4/16/125=1kHz T=1msek
      if(tms){
      --mSec;
      if(mSec==0)
      tms=0;
      }
      T0IF = 0;         // clear the interrupt flag
   }
}
void main(void){
unsigned char data;
	OPTION=0b00000011;//ustawienie TMR0
	T0IE = 1;		// odblokowanie przerwania od przepelnienia TMR0
	GIE = 1;		// Global interrupt enable
	ANSELH=0;		//PORTB cyfrowy 
	TRISD=0;
	InicLcd();		//inicjalizacja wywietlacza 
	DispLcd("test EEPROM");
	write_eeprom(1,0x3f);
	write_eeprom(2,0x20);
	write_eeprom(3,0x55);
	write_eeprom(4,0xaf);
	data=read_eeprom(1);
	wys_hex(read_eeprom(1),1,2);
	wys_hex(read_eeprom(2),4,2);
	wys_hex(read_eeprom(3),7,2);
	wys_hex(read_eeprom(4),10,2);
	while(1);
	
}

void wys_hex(unsigned char dana, char x, char y)
{	
unsigned char hex;
	PosLcd(x,y);//wpisanie adresu
	hex=dana&0xf0;//starsza czesc
	hex=hex>>4;
	 if(hex<10)
	 hex=hex+0x30;
	 else
	 hex=hex+0x37;
	 WriteRd(hex); 	
	 hex=dana&0x0f;
	 if(hex<10)
	 hex=hex+0x30;
	 else
	 hex=hex+0x37;
	 WriteRd(hex);
	return;
}

void delay_ms(unsigned int msek){
	mSec=msek;
	TMR0|=131;
	tms=1;
	while(tms);
}	
